﻿using Senparc.CO2NET.Cache;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading;
using System.Web;
using System.Web.Mvc;

namespace WebApplication2.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            return View();
        }

        public ActionResult About()
        {
            ViewBag.Message = "Your application description page.";

            var cache = CacheStrategyFactory.GetObjectCacheStrategyInstance();
            cache.Set("TestTime", SystemTime.Now);
            Thread.Sleep(1000);
            var cachedTime = cache.Get<DateTimeOffset>("TestTime");

            return Content($"CacheName:{cache}, Cached Time：{cachedTime}, Now:{SystemTime.Now}");

            //return View();
        }

        public ActionResult Contact()
        {
            ViewBag.Message = "Your contact page.";

            return View();
        }
    }
}